#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-Text-Unidecode
Version		:	1.30
Release		:	14.4.0.0%{?dist}
Summary		:	Plain ASCII transliterations of Unicode text

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/Text::Unidecode

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
It often happens that you have non-Roman text data in Unicode,
but you can't display it-- usually because you're trying to show
it to a user via an application that doesn't support Unicode,
or because the fonts you need aren't accessible. You could
represent the Unicode characters as "???????" or "\15BA\15A0\1610...",
but that's nearly useless to the user who actually wants to
read what the text says.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%license LICENSE
%doc README
%{_datadir}/perl5/core_perl/Text/Unidecode.pm
%{_datadir}/perl5/core_perl/Text/Unidecode/*.pm
%{_mandir}/man3/Text::Unidecode.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}								\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

#-----------------------------------------------------------------------------
%changelog
